Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058623 - Review Request: perl-WebService-Linode - Perl Interface to the Linode.com API
Summary: Review Request: perl-WebService-Linode - Perl Interface to the Linode.com API
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1056336 (view as bug list)
Depends On:
Blocks: linode-cli
TreeView+ depends on / blocked
 
Reported: 2014-01-28 07:48 UTC by Christopher Meng
Modified: 2014-07-01 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-01 15:36:25 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-01-28 07:48:19 UTC
Spec URL: http://cicku.me/perl-WebService-Linode.spec
SRPM URL: http://cicku.me/perl-WebService-Linode-0.17-1.fc21.src.rpm
Description: This module implements the Linode.com api methods. Linode methods have had dots replaced with underscores to generate the perl method name. All keys and parameters have been lower cased but returned data remains otherwise 
the same. For additional information see http://www.linode.com/api/ .
Fedora Account System Username: cicku

Comment 1 Petr Šabata 2014-02-03 15:19:51 UTC
FIX: Missing the perl(Data::Dumper) BR, from lib/WebService/Linode/Base.pm:10 and t/01-domains.t:4
FIX: Remove the JSON and LWP::UserAgent from the explicit runtime deps.  Those will be picked up automatically.
TODO: Add `perl' to your BRs as it's called in the SPEC.
TODO: Package `examples' in the %doc.

NOTE: I think it'd be better to require perl(LWP::Protocol::https) instead of the perl(Mozilla::CA) and perl(Crypt::SSLeay) combo, however I know you're just following the upstream's recommendation.  Perhaps try if the module works with LWP::Protocol::https only and suggest the switch to upstream if you feel like it?  In my opinion it'd be a bit cleaner.  Anyhow, this really isn't important for the review and I haven't checked whether this makes any sense either :) Just a thought.

Fix the points marked as FIX and I'll approve the package.

Comment 2 Christopher Meng 2014-02-08 03:45:00 UTC
Ignore your thought for a while ;) But I've filed an issue at upstream:



Fixed:

Spec URL: http://cicku.me/perl-WebService-Linode.spec
SRPM URL: http://cicku.me/perl-WebService-Linode-0.18-1.fc21.src.rpm

Comment 3 Petr Šabata 2014-02-10 16:18:31 UTC
Alright, approving.

Comment 4 Christopher Meng 2014-02-11 06:24:37 UTC
(In reply to Petr Šabata from comment #3)
> Alright, approving.

Upstream changed the code based on your suggestion! Bingo! ;)

New Package SCM Request
=======================
Package Name: perl-WebService-Linode
Short Description: Perl Interface to the Linode.com API
Owners: cicku
Branches: f20 el6 epel7
InitialCC: perl-sig

Comment 5 Gwyn Ciesla 2014-02-11 13:14:04 UTC
Git done (by process-git-requests).

Comment 6 Nick Bebout 2014-03-13 14:31:25 UTC
*** Bug 1056336 has been marked as a duplicate of this bug. ***

Comment 7 Petr Šabata 2014-04-04 13:10:35 UTC
Ping; have you pushed and built the package?


Note You need to log in before you can comment on or make changes to this bug.